Subject: Re: [PATCH wireless-dev] d80211: Add support for user space client MLME

From: Johannes Berg <[email-masked]>
Date: Thu, 04 May 2006 14:26:53 +0200

On Wed, 2006-05-03 at 09:44 -0700, Jouni Malinen wrote:

> But there is.. I committed changes to the wpa_supplicant devel branch
> for this yesterday. It seems to work fine with net/d80211 and bcm43xx
> with this small patch to d80211 to allow the functionality to be moved
> into user space.

Cool, do you have a list of things that we need to support for it to
work on a 'softmac' based driver (iow removing softmac in favour of
this)?

> I have not yet heard of anyone working with details of converting the
> management frame communication to use netlink.

I have an interest in this, as soon as I can I'll try writing up
something.

johannes